* {
    box-sizing: border-box;
    margin: 0;
}

.red {
    width: 800px;
    height: 800px;
    padding: 10px;
    background: red;
    display: flex;
    gap: 10px;
    justify-content: space-between;
}

.first {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.yellow {
    width: 150px;
    height: 150px;
    background: yellow;
}

.green {
    width: 175px;
    height: 175px;
    background: green;
    align-self: center;
}

.blue {
    width: 300px;
    height: inherit;
    background: blue;
    padding: 10px;
    flex-direction: column;
    overflow: scroll;
    align-self: center;
    }

.purple {
    width: 250px;
    height: 300px;
    background: purple;
    flex-direction: column;
    margin-bottom: 10px;
}

.one {
    height: 500px;
}

.two {
    height: 300px;
}

.three {
    height: 450px;
}

.four {
    height: 700px;
}

.five {
    height: 900px;
}



